Markets
List markets
Returns a paginated, filterable list of all trading markets.
GET
/
v1
/
markets
List markets
curl --request GET \
--url https://api.archer.exchange/v1/markets \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.archer.exchange/v1/markets"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.archer.exchange/v1/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.archer.exchange/v1/markets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.archer.exchange/v1/markets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.archer.exchange/v1/markets")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.archer.exchange/v1/markets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"limit": 123,
"markets": [
{
"address": "u8tnfCb1JSSghuNFquQ2beStYgAN1kmd1f1Lhxbaec4",
"baseToken": {
"decimals": 9,
"logoUri": "<string>",
"mint": "So11111111111111111111111111111111111111112",
"name": "Wrapped SOL",
"symbol": "wSOL"
},
"createdAt": "<string>",
"makerFeePpm": 123,
"minOrderSize": "<string>",
"quoteToken": {
"decimals": 9,
"logoUri": "<string>",
"mint": "So11111111111111111111111111111111111111112",
"name": "Wrapped SOL",
"symbol": "wSOL"
},
"status": "active",
"takerFeePpm": 123,
"tickSize": "<string>",
"limitOrdersEnabled": true
}
],
"offset": 123,
"total": 123
}{
"error": "RATE_LIMITED",
"message": "Too many requests. Please slow down."
}Authorizations
Query Parameters
Return only the market with this address (exact match). GET /v1/markets/{address} returns the same market without the list envelope.
Filter by market status.
Available options:
active, paused, closed, frozen Filter by quote token symbol (case-insensitive).
Filter by quote token mint address (exact match).
Filter by base token symbol (case-insensitive).
Filter by base token mint address (exact match).
Free-text search across token symbols, names, mints, and market addresses.
Sort field.
Available options:
address, baseSymbol, status, volume24h Sort direction.
Available options:
asc, desc Maximum number of results to return.
Required range:
1 <= x <= 200Number of results to skip (for pagination).
Required range:
x >= 0List markets
curl --request GET \
--url https://api.archer.exchange/v1/markets \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.archer.exchange/v1/markets"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.archer.exchange/v1/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.archer.exchange/v1/markets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.archer.exchange/v1/markets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.archer.exchange/v1/markets")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.archer.exchange/v1/markets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"limit": 123,
"markets": [
{
"address": "u8tnfCb1JSSghuNFquQ2beStYgAN1kmd1f1Lhxbaec4",
"baseToken": {
"decimals": 9,
"logoUri": "<string>",
"mint": "So11111111111111111111111111111111111111112",
"name": "Wrapped SOL",
"symbol": "wSOL"
},
"createdAt": "<string>",
"makerFeePpm": 123,
"minOrderSize": "<string>",
"quoteToken": {
"decimals": 9,
"logoUri": "<string>",
"mint": "So11111111111111111111111111111111111111112",
"name": "Wrapped SOL",
"symbol": "wSOL"
},
"status": "active",
"takerFeePpm": 123,
"tickSize": "<string>",
"limitOrdersEnabled": true
}
],
"offset": 123,
"total": 123
}{
"error": "RATE_LIMITED",
"message": "Too many requests. Please slow down."
}